%define _disable_ld_no_undefined 1

# Upstream version
%define major 9
%define libname %mklibname %{name} %{major}
%define libname_virt    lib%{name}
%define develname %mklibname %{name} -d

Name: starlink-ast
Version: 9.2.10
Release: %mkrel 1
Summary: A Library for Handling World Coordinate Systems in Astronomy
Group: Sciences/Astronomy
License: LGPLv2+
URL: http://starlink.jach.hawaii.edu/starlink/AST
Source0: http://www.starlink.ac.uk/download/ast/ast-%{version}.tar.gz
BuildRequires: starlink-pal-devel
BuildRequires: gcc-gfortran

%description
The AST library provides a comprehensive range of facilities for
attaching world coordinate systems to astronomical data, for
retrieving and interpreting that information and for generating
graphical output based on it.


%package -n %{develname}
Summary: Headers for developing programs that will use %{name}
Group: Sciences/Astronomy
Requires: %{libname_virt} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname}
These are the header files and libraries needed to develop a %{name}
application.

%package -n %{libname}
Summary: A Library for Handling World Coordinate Systems in Astronomy
Group: Sciences/Astronomy
Provides: %{libname_virt} = %{version}-%{release}
Provides: %{name} = %{version}-%{release}
%description -n %{libname}
The AST library provides a comprehensive range of facilities for
attaching world coordinate systems to astronomical data, for
retrieving and interpreting that information and for generating
graphical output based on it.

%prep
%setup -q -n ast-%{version}
%autopatch -p1

sed -i -e 's/libpal.la/libstarlink_pal.la -lerfa -lm/g' Makefile*
%build
export CFLAGS="%{optflags} -std=gnu17"
%configure \
	--with-external_pal \
	--disable-static

# Build is not multithread clean and has undef symbols
make

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

rm -rf %{buildroot}%{_prefix}/docs
rm -rf %{buildroot}%{_prefix}/help
rm -rf %{buildroot}%{_prefix}/manifests
rm -rf %{buildroot}%{_prefix}/news
rm -rf %{buildroot}%{_prefix}/share

%files -n %{libname}
%{_libdir}/libast*.so.%{major}{,.*}

%files -n %{develname}
%{_bindir}/ast_*
%{_libdir}/*.so
%{_includedir}/*


%changelog
* Mon Jun 02 2025 ns80 <ns80> 9.2.10-1.mga10
+ Revision: 2187836
- try to fix building with GCC 15
- new version 9.2.10

* Tue Jan 03 2023 papoteur <papoteur> 9.2.9-1.mga9
+ Revision: 1929665
- new 9.2.9
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Wed Aug 19 2020 joequant <joequant> 9.1.2-1.mga8
+ Revision: 1615566
- update to 9.1.2 and use erfa

* Wed Jun 10 2020 joequant <joequant> 7.3.1-9.mga8
+ Revision: 1591612
- update tools

* Fri Feb 14 2020 umeabot <umeabot> 7.3.1-8.mga8
+ Revision: 1519841
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%apply_patches

* Mon Oct 22 2018 wally <wally> 7.3.1-7.mga7
+ Revision: 1323593
- fix build on aarch64
- drop .la files

* Sun Sep 23 2018 umeabot <umeabot> 7.3.1-6.mga7
+ Revision: 1301187
- Mageia 7 Mass Rebuild

* Sat Feb 06 2016 umeabot <umeabot> 7.3.1-5.mga6
+ Revision: 942031
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 7.3.1-4.mga5
+ Revision: 748185
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 7.3.1-3.mga5
+ Revision: 689527
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 7.3.1-2.mga4
+ Revision: 531857
- Mageia 4 Mass Rebuild

* Sun Aug 11 2013 joequant <joequant> 7.3.1-1.mga4
+ Revision: 465568
- add gfortran
- add build requires
- imported package starlink-ast

